/*
 * VXPLib COMPONENT
 *
 * Module: PathList.h - Declaration of class CPathList
 *
 * Synopsis: Very simple derivative from class HCollection
 * to contain a string which is a file path to represent
 * all file paths the QHTML Parser has access to.
 *
 * Copyright (c) 2002, Vitaly Tomilov
 * Copyright (c) 2003-2005, Tooltips.Net L.L.C.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Library support web site - http://www.tooltips.net
 */

#if !defined(AFX_PATHLIST_H__EF5416FC_5031_4CED_94A3_6B1115F92DAA__INCLUDED_)
#define AFX_PATHLIST_H__EF5416FC_5031_4CED_94A3_6B1115F92DAA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HCollection.h"
#include "String.h"

class CPathList : public HCollection  
{
public:
	explicit CPathList(BSTR FilePath);
	explicit CPathList(CString & FilePath);

	CString m_FilePath;
};

#endif // !defined(AFX_PATHLIST_H__EF5416FC_5031_4CED_94A3_6B1115F92DAA__INCLUDED_)
